<?php
#  Copyright (c) 2001, 2002 by Thorsten Koerner
#  e-Mail: thorstenkoerner@123tk.de
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#====================================================================
#
# This function reads the image creates a copy in the /thumb subdirectory and resizes the copy
# to a small thumbnail-image which is to show in  the category-view of 123tkShop
#
#====================================================================

  header("Content-type: image/jpeg");
    
  $file= "logo.jpg";
  $path= "image";
  if(file_exists("$file")) {
    // reading image
    $h_img= imagecreatefromjpeg("$path/$file");
    $width= imagesx($h_img);
    $height= imagesy($h_img);

    // creating thumbnail in memory
    $thb_x= 100;
    $thb_y= 100;
    $h_thb= imagecreate($thb_x, $thb_y);

    // resizing the image
    imagecopyresized(
      $h_thb, 
      $h_img,
      0,
      0,
      0,
      0,
      $thb_x,
      $thb_y,
      $width,
      $height
    );

    // Saving the new image-file
    imagejpeg($h_thb, "$file");

    // cleaning up
    imagedestroy($h_thb);
    imagedestroy($h_img);
  }

  // output
  readfile("$file");
?>
