#  Copyright (c) 2001, 2002 by Thorsten Krner
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# ================================================================
#
# phpMyAdmin MySQL-Dump
# version 2.2.0
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Erstellungszeit: February 28, 2002, 1:17 am
# Server Version: 3.23.41
# PHP Version: 4.0.6
# Datenbank : `123tkShop`
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `Buyers`
#

DROP TABLE IF EXISTS Buyers;
CREATE TABLE Buyers (
  Name varchar(100) NOT NULL default '',
  Address1 varchar(100) NOT NULL default '',
  Address2 varchar(100) NOT NULL default '',
  City varchar(100) NOT NULL default '',
  State char(2) NOT NULL default '',
  Zip varchar(20) NOT NULL default '',
  Email varchar(100) NOT NULL default '',
  DayPhone varchar(100) NOT NULL default '',
  EvePhone varchar(100) NOT NULL default '',
  Contact int(1) NOT NULL default '0',
  PayMethod varchar(100) NOT NULL default '',
  CCType varchar(100) NOT NULL default '',
  CCNum varchar(100) NOT NULL default '',
  CCExpire varchar(100) NOT NULL default '',
  OrderTotal decimal(8,2) NOT NULL default '0.00',
  Date varchar(100) NOT NULL default '',
  OrderNumber bigint(20) NOT NULL default '0',
  UserID varchar(100) NOT NULL default '',
  BuyerID bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (BuyerID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `CartItems`
#

DROP TABLE IF EXISTS CartItems;
CREATE TABLE CartItems (
  UserID varchar(100) NOT NULL default '',
  ItemID varchar(25) NOT NULL default '',
  ItemQuantity int(4) NOT NULL default '0',
  Date varchar(100) NOT NULL default '',
  CartItemsID bigint(20) NOT NULL auto_increment,
  ExtrService tinyint(1) default NULL,
  farbe varchar(20) default NULL,
  farbex varchar(20) default NULL,
  farbey varchar(20) default NULL,
  PasX varchar(20) default NULL,
  Size varchar(10) default NULL,
  weightx decimal(5,3) default NULL,
  PRIMARY KEY  (CartItemsID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `Category`
#

DROP TABLE IF EXISTS Category;
CREATE TABLE Category (
  Category varchar(100) NOT NULL default '',
  CategoryID bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (CategoryID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ItFreePrp`
#

DROP TABLE IF EXISTS ItFreePrp;
CREATE TABLE ItFreePrp (
  ID bigint(25) NOT NULL auto_increment,
  ItemSKU varchar(20) NOT NULL default '',
  FreeProp1 varchar(15) default NULL,
  FreeProp2 varchar(15) default NULL,
  FreeProp3 varchar(15) default NULL,
  FreeProp4 varchar(15) default NULL,
  FreeProp5 varchar(15) default NULL,
  FreeProp6 varchar(15) default NULL,
  FreeProp7 varchar(15) default NULL,
  FreeProp8 varchar(15) default NULL,
  FreeProp9 varchar(15) default NULL,
  FreeProp10 varchar(15) default NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ItemSKU (ItemSKU)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ItFreePrp2`
#

DROP TABLE IF EXISTS ItFreePrp2;
CREATE TABLE ItFreePrp2 (
  ID bigint(25) NOT NULL auto_increment,
  ItemSKU varchar(20) NOT NULL default '',
  FreeProp1 varchar(15) default NULL,
  FreeProp2 varchar(15) default NULL,
  FreeProp3 varchar(15) default NULL,
  FreeProp4 varchar(15) default NULL,
  FreeProp5 varchar(15) default NULL,
  FreeProp6 varchar(15) default NULL,
  FreeProp7 varchar(15) default NULL,
  FreeProp8 varchar(15) default NULL,
  FreeProp9 varchar(15) default NULL,
  FreeProp10 varchar(15) default NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ItemSKU (ItemSKU)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ItemColor`
#

DROP TABLE IF EXISTS ItemColor;
CREATE TABLE ItemColor (
  ID bigint(20) NOT NULL auto_increment,
  ItemSKU varchar(25) NOT NULL default '',
  Col1 varchar(10) default NULL,
  Col2 varchar(10) default NULL,
  Col3 varchar(10) default NULL,
  Col4 varchar(10) default NULL,
  Col5 varchar(10) default NULL,
  Col6 varchar(10) default NULL,
  Col7 varchar(10) default NULL,
  Col8 varchar(10) default NULL,
  Col9 varchar(10) default NULL,
  Col10 varchar(10) default NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ItemSKU (ItemSKU)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ItemPackSize`
#

DROP TABLE IF EXISTS ItemPackSize;
CREATE TABLE ItemPackSize (
  ID bigint(25) NOT NULL auto_increment,
  ItemSKU varchar(20) NOT NULL default '',
  PackSize1 varchar(10) default NULL,
  PackSize2 varchar(10) default NULL,
  PackSize3 varchar(10) default NULL,
  PackSize4 varchar(10) default NULL,
  PackSize5 varchar(10) default NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ItemSKU (ItemSKU)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ItemPrice`
#

DROP TABLE IF EXISTS ItemPrice;
CREATE TABLE ItemPrice (
  ID bigint(20) NOT NULL auto_increment,
  ItemSKU varchar(25) NOT NULL default '',
  Price1 decimal(7,2) NOT NULL default '0.00',
  Price2 decimal(7,2) NOT NULL default '0.00',
  Price3 decimal(7,2) NOT NULL default '0.00',
  Price4 decimal(7,2) NOT NULL default '0.00',
  Price5 decimal(7,2) NOT NULL default '0.00',
  PRIMARY KEY  (ID),
  UNIQUE KEY ItemSKU (ItemSKU)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ItemPropert`
#

DROP TABLE IF EXISTS ItemPropert;
CREATE TABLE ItemPropert (
  ID bigint(20) NOT NULL auto_increment,
  ItemSKU varchar(25) NOT NULL default '',
  ItemCol tinyint(1) default NULL,
  ItemSize tinyint(1) default NULL,
  ItemWeight tinyint(1) default NULL,
  ItemPackSize tinyint(1) default NULL,
  ItFreePrp tinyint(1) default NULL,
  ItFreePrp2 tinyint(1) default NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ItemSKU (ItemSKU)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ItemWeight`
#

DROP TABLE IF EXISTS ItemWeight;
CREATE TABLE ItemWeight (
  ID bigint(25) NOT NULL auto_increment,
  ItemSKU varchar(20) NOT NULL default '',
  ItemWeight decimal(5,3) default NULL,
  ItemWeight2 decimal(5,3) default NULL,
  ItemWeight3 decimal(5,3) default NULL,
  ItemWeight4 decimal(5,3) default NULL,
  ItemWeight5 decimal(5,3) default NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ItemSKU (ItemSKU)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `Items`
#

DROP TABLE IF EXISTS Items;
CREATE TABLE Items (
  ItemSKU varchar(25) NOT NULL default '',
  ItemName varchar(100) NOT NULL default '',
  ShortDescription mediumtext NOT NULL,
  ItemDescription mediumtext NOT NULL,
  ItemCost decimal(7,2) NOT NULL default '0.00',
  Category bigint(20) NOT NULL default '0',
  ShippingCost decimal(7,2) NOT NULL default '0.00',
  ItemID bigint(20) NOT NULL auto_increment,
  ItProp tinyint(1) NOT NULL default '0',
  PriceIx tinyint(1) NOT NULL default '0',
  SpecServ tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (ItemID),
  UNIQUE KEY ItemSKU (ItemSKU),
  KEY ItemName (ItemName)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `Itemsize`
#

DROP TABLE IF EXISTS Itemsize;
CREATE TABLE Itemsize (
  ID bigint(20) NOT NULL auto_increment,
  ItemSKU varchar(25) NOT NULL default '',
  Size1 varchar(10) default NULL,
  Size2 varchar(10) default NULL,
  Size3 varchar(10) default NULL,
  Size4 varchar(10) default NULL,
  Size5 varchar(10) default NULL,
  Size6 varchar(10) default NULL,
  Size7 varchar(10) default NULL,
  Size8 varchar(10) default NULL,
  Size9 varchar(10) default NULL,
  Size10 varchar(10) default NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ItemSKU (ItemSKU)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `Members`
#

DROP TABLE IF EXISTS Members;
CREATE TABLE Members (
  ID bigint(20) NOT NULL auto_increment,
  MembID bigint(20) NOT NULL default '0',
  Name tinyint(4) NOT NULL default '0',
  Surname tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (ID)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `Orders`
#

DROP TABLE IF EXISTS Orders;
CREATE TABLE Orders (
  BuyerID bigint(20) NOT NULL default '0',
  UserID varchar(100) NOT NULL default '',
  Date varchar(100) NOT NULL default '',
  OrderTotal decimal(8,2) NOT NULL default '0.00',
  OrderNumber bigint(20) NOT NULL auto_increment,
  PRIMARY KEY  (OrderNumber)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `Receipts`
#

DROP TABLE IF EXISTS Receipts;
CREATE TABLE Receipts (
  BuyerID bigint(20) NOT NULL default '0',
  UserID varchar(100) NOT NULL default '',
  OrderNumber bigint(20) NOT NULL default '0',
  Date varchar(100) NOT NULL default '',
  ItemID bigint(20) NOT NULL default '0',
  ItemSKU varchar(25) NOT NULL default '',
  ItemName varchar(100) NOT NULL default '',
  ItemCost decimal(7,2) NOT NULL default '0.00',
  ShippingCost decimal(6,2) NOT NULL default '0.00',
  ItemQuantity int(11) NOT NULL default '0',
  TotalCost decimal(8,2) NOT NULL default '0.00',
  ExtrService tinyint(1) default '0',
  farbe varchar(20) default NULL,
  farbex varchar(20) default NULL,
  farbey varchar(20) default NULL,
  PasX varchar(20) default NULL,
  Size varchar(10) default NULL,
  weightx decimal(5,3) NOT NULL default '0.000'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `Users`
#

DROP TABLE IF EXISTS Users;
CREATE TABLE Users (
  User varchar(100) NOT NULL default '',
  Date int(4) NOT NULL default '0'
) TYPE=MyISAM;
